#510 bug when installing gdl-0.9.3 on Mac OS 10.8.2

v1.0 (example)
closed
nobody
None
5
2014-07-10
2013-01-26
ema
No

gdl-0.9.3 (Last Update: 2012-12-28) does not install (via Macports) on Mountain Lion 10.8.2. It returns the following error:

Error: org.macports.configure for port gnudatalanguage returned: autoreconf failure: command execution failed

:info:configure configure.in:35: error: 'AM_CONFIG_HEADER': this macro is obsolete.
:info:configure You should use the 'AC_CONFIG_HEADERS' macro instead.
:info:configure /opt/local/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
:info:configure configure.in:35: the top level
:info:configure autom4te: /opt/local/bin/gm4 failed with exit status: 1
:info:configure aclocal: error: echo failed with exit status: 1
:info:configure autoreconf: aclocal failed with exit status: 1

Thanks.

Discussion

  • Alain C.
    Alain C.
    2013-01-28

    Hum, I have no solution to test it. Could you try to create the m4 directory ?

    If you have all the mandatory dependences, it is rather easy to compile GDL from the TGZ ...

     
  • autoconf build is now obsoleted. Please try using CMake. The next release with ship without the configure script.
    Closing.

     
    • status: open --> closed
    • Group: --> v1.0 (example)